<?php

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
	

db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}profile_comments (
		  ID_COMMENT int(11) NOT NULL auto_increment,
		  ID_MEMBER mediumint(8) unsigned NOT NULL default '0',
		  comment text,
		  time int(11) NOT NULL default '0',
		  COMMENT_MEMBER_ID mediumint(8) unsigned NOT NULL default '0',
		  PRIMARY KEY  (ID_COMMENT)
		)", __FILE__, __LINE__);

db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}profile_pictures (
		  ID_PICTURE int(11) NOT NULL auto_increment,
		  ID_MEMBER mediumint(8) NOT NULL default '0',
		  time int(11) NOT NULL default '0',
		  title text NOT NULL,
		  description text NOT NULL,
		  filename tinytext NOT NULL,
		  ID_ALBUM int(11) NOT NULL default '0',
		  PRIMARY KEY  (ID_PICTURE)
		)", __FILE__, __LINE__);

db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}picture_comments (
		  ID_COMMENT int(11) NOT NULL auto_increment,
		  ID_MEMBER mediumint(8) unsigned NOT NULL default '0',
		  comment text,
		  time int(11) NOT NULL default '0',
		  COMMENT_PICTURE_ID mediumint(8) unsigned NOT NULL default '0',
		  PRIMARY KEY  (ID_COMMENT)
		)", __FILE__, __LINE__);

db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}profile_albums (
		  ID_ALBUM int(11) NOT NULL auto_increment,
		  ID_MEMBER mediumint(8) NOT NULL default '0',
		  title text NOT NULL,
		  pictures mediumint(8) NOT NULL default '0',
		  PARENT_ID int(11) NOT NULL default '0',
		  PRIMARY KEY  (ID_ALBUM)
		)", __FILE__, __LINE__);

db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}buddies (
		  ID_MEMBER mediumint(8) NOT NULL default '0',
		  BUDDY_ID mediumint(8) NOT NULL default '0',
		  approved smallint(1) NOT NULL default '0',
		  position tinyint(4) NOT NULL default '0',
		  time_updated int(11) NOT NULL default '0',
		  requested mediumint(8) NOT NULL default '0'
		)", __FILE__, __LINE__);


// Let's check for the UTF-8 support
$request = db_query('SELECT variable, value 
	FROM ' . $db_prefix . 'settings 
	WHERE variable="global_character_set" 
		AND value="UTF-8"', __FILE__, __LINE__);
if (mysql_num_rows ($request) > 0) {
	mysql_free_result($request);
	
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_comments DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci');
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_comments CHANGE "comment" "comment" TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
	
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_pictures DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci');
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_pictures CHANGE "title" "title" TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_pictures CHANGE "description" "description" TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_pictures CHANGE "filename" "filename" TINYTEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
	
	mysql_query('ALTER TABLE ' . $db_prefix . 'picture_comments DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci');
	mysql_query('ALTER TABLE ' . $db_prefix . 'picture_comments CHANGE "comment" "comment" TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
	
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_albums DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci');
	mysql_query('ALTER TABLE ' . $db_prefix . 'profile_albums CHANGE "title" "title" TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL');
}


// Update previously installed tables
$request = mysql_query('SHOW COLUMNS FROM ' . $db_prefix . 'profile_pictures LIKE "ID_ALBUM"');
if (mysql_num_rows ($request) > 0)
	mysql_free_result ($request);
else
	mysql_query ('ALTER TABLE ' . $db_prefix . 'profile_pictures ADD ID_ALBUM INT NOT NULL');


$mod_settings = array(
	'profile_pictures_path' => $boarddir . '/profile_pictures',
	'profile_pictures_url' => $boardurl . '/profile_pictures',
	'profile_pictures_number' => '10',
	'profile_pictures_width' => '640',
	'profile_enable_all' => '0',
	'profile_enable_pictures' => '1',
	'profile_allow_customize' => '1',
	'profile_allow_mediabox' => '1',
);

foreach ($mod_settings as $field => $value) {
	db_query("INSERT IGNORE INTO {$db_prefix}settings
			(`variable`, `value`) VALUES 
			('$field', '$value')", __FILE__, __LINE__);
}

?>